Skip to main content
`Ctrl`+`K`

# SVDStoppingBasic

Default routine to determine whether the outer singular value solver iteration must be stopped.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDStoppingBasic(SVD svd,PetscInt its,PetscInt max_it,PetscInt nconv,PetscInt nsv,SVDConvergedReason *reason,void *ctx)

Collective

## Input Parameters

- svd - the singular value solver context

- its - current number of iterations

- max_it - maximum number of iterations

- nconv - number of currently converged singular triplets

- nsv - number of requested singular triplets

- ctx - context (not used here)

## Output Parameter

- reason - result of the stopping test

## Notes

`SVDStoppingBasic()` will stop if all requested singular values are converged, or if the maximum number of iterations has been reached.

This is the default stopping test. Use `SVDSetStoppingTest()` to provide your own test instead of using this one.

## See Also

SVD: Singular Value Decomposition, `SVDSetStoppingTest()`, `SVDStoppingThreshold()`, `SVDConvergedReason`, `SVDGetConvergedReason()`

## Level

advanced

## Location

src/svd/interface/svddefault.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages